Story4/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('', include('Story6.urls', namespace='Story6')),
    path('', include('Story9.urls', namespace='Story9')),
]

Story6/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('isikegiatan', views.isikegiatan, name='isikegiatan'),
    path('daftarkegiatan', views.daftarkegiatan, name='daftarkegiatan'),
    path('peserta/<int:id>', views.peserta, name='peserta'),
]

Story9/urls.py
from django.urls import path

from . import views

app_name = 'Story9'

urlpatterns = [
    path('Story9/', views.home, name ='home'),
    path('Story9/signup/', views.signup, name='signup'),
    path('Story9/login/', views.login, name='login'),
    path('Story9/logout/', views.logout, name='logout'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.story1, name='story1'),
    path('home', views.home, name='home'),
    path('about', views.about, name='about'),
    path('riwayat_pendidikan', views.riwayat_pendidikan, name='riwayat_pendidikan'),
    path('matkuls', views.matkuls, name='matkuls'),
    path('hasil', views.hasil, name='hasil'),
    path('hapus/<str:pk>/', views.hapus, name='hapus'),
    path('accordion', views.accordion, name='accordion'),
    path('ajax', views.ajax, name='ajax'),
    path('data/', views.data,  name='data'),
]

Story6/models.py
from django.db import models

# Create your models here.
class Kegiatan(models.Model):
    activity = models.CharField(max_length=100)
    
    def listPeserta(self):
        return Peserta.objects.filter(act=self.id)

    peserta = property(listPeserta)

    def __str__(self):
        return self.activity

class Peserta(models.Model):
    participant = models.CharField(max_length=50)
    act = models.ForeignKey(Kegiatan, on_delete=models.CASCADE)

    def __str__(self):
        return self.participant
 

Story9/models.py
from django.db import models

# Create your models here.

main/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime, date

class matkul(models.Model):
    nama = models.CharField(max_length=30)
    dosen = models.CharField(max_length=30)
    sks = models.CharField(max_length=30)
    deskripsi = models.CharField(max_length=30)
    tahun = models.CharField(max_length=30)
    kelas = models.CharField(max_length=30)

Story6/forms.py
from django import forms
from .models import Kegiatan, Peserta

class KegiatanForm(forms.ModelForm):
    class Meta:
        model = Kegiatan
        fields = '__all__'

        labels = {
            'activity' : 'Kegiatan'
        }

class PesertaForm(forms.ModelForm):
    class Meta:
        model = Peserta
        fields = '__all__'

        labels = {
            'participant' : 'Peserta'
        }

main/forms.py
from django.forms import ModelForm
from .models import matkul

class tambahkan(ModelForm):
    class Meta:
        model = matkul
        fields = '__all__'

Story6/views.py
from django.shortcuts import render, redirect
from .forms import KegiatanForm, PesertaForm
from .models import Kegiatan, Peserta

# Create your views here.

def isikegiatan(request):
    form = KegiatanForm()

    if request.method == "POST":
        form = KegiatanForm(request.POST)
        if form.is_valid():
            post = form.save(commit=True)
            post.save()
            return redirect('/daftarkegiatan')
    else:
        form = KegiatanForm()

    return render(request, 'isikegiatan.html', {'form' : form})

def daftarkegiatan(request):
    daftar = Kegiatan.objects.all()

    context = {'obj': daftar}
    return render(request, 'daftarkegiatan.html', context)

def peserta(request, id):
    daftar = Kegiatan.objects.get(id=id)
    peserta_form = PesertaForm(request.POST, instance=daftar)

    if peserta_form.is_valid():
        submitted_data = Peserta()
        submitted_data.participant = peserta_form.cleaned_data['participant']
        submitted_data.act = peserta_form.cleaned_data['act']
        submitted_data.save()
        return redirect('/daftarkegiatan')

    else:
        peserta_form = PesertaForm()

    context = {'daftar': daftar, 'peserta_form': peserta_form}
    return render(request, 'peserta.html', context)

Story9/views.py
from django.shortcuts import render, redirect
from django.contrib.auth import authenticate, login as dj_login
from django.contrib.auth import logout as django_logout
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.forms import AuthenticationForm
from django.contrib import messages

# Create your views here.

def home(request):
    return render(request, 'Story9.html')
    
def signup(request):
    if request.method == 'POST':
        form = UserCreationForm(request.POST)
 
        if form.is_valid():
            form.save()
            username = form.cleaned_data['username']
            password = form.cleaned_data['password1']
            user = authenticate(username=username, password=password)
            return redirect('/Story9/login')
         
        else:
            return render(request,'signup.html',{'form':form})
     
    else:
        form = UserCreationForm()
        return render(request,'signup.html',{'form':form})

def login(request):
    if request.method == 'POST':
        username = request.POST['username']
        password = request.POST['password']
        user = authenticate(request, username=username, password=password)
 
        if user is not None:
            dj_login(request, user)
            return redirect('/Story9')
        else:
            form = AuthenticationForm()
            messages.error(request, 'Username atau password Anda salah')
            return render(request,'login.html',{'form':form})
     
    else:
        form = AuthenticationForm()
        return render(request, 'login.html', {'form':form})

def logout(request):
    django_logout(request)
    return redirect('/Story9/')

main/views.py
from django.shortcuts import render
from django.shortcuts import redirect
from django.http import HttpResponse, JsonResponse
from .models import matkul
from .forms import tambahkan
from pip._vendor import requests
import json

def story1(request):
    return render(request, 'main/Story-1.html')
def home(request):
    return render(request, 'main/Story-3_page1.html')
def about(request):
    return render(request, 'main/Story-3_page2.html')
def riwayat_pendidikan(request):
    return render(request, 'main/Story-3_page3.html')
def matkuls(request):
    form = tambahkan()
    context = {'form':form}
    if request.method == 'POST':
        form = tambahkan(request.POST)
        if form.is_valid():
            form.save()
            return redirect('/hasil')
    return render(request, 'main/matkul.html', context)
def hasil(request):
    result = matkul.objects.all()
    context = {'result':result}
    return render(request, 'main/hasil.html', context)
def hapus(request, pk):
    hapus = matkul.objects.get(id=pk)
    if request.method == 'POST':
        hapus.delete()
        return redirect('/hasil')
    context = {'del':hapus}
    return render(request, 'main/hapus.html', context)
def accordion(request):
    return render(request, 'main/accordion.html')
def ajax(request):
    response = {}
    return render(request, 'main/ajax.html', response)
def data(request):
    url = "https://www.googleapis.com/books/v1/volumes?q=" + request.GET['q']
    ret = requests.get(url)

    data = json.loads(ret.content)
    return JsonResponse(data,safe=False)

Story9/templates/Story9.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 9</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

{% endblock meta %}

{% block content %}
<div class="navigation">
    <ul class="nav justify-content-start">
        {% if user.is_authenticated %}
            <a class="nav-link"><img src="https://peopleshub.org/wp-content/uploads/2018/04/person-icon-white.png" style="width: 30px; height: 30px; vertical-align:bottom; margin-top: -14px;">Hi, {{ user.get_username }}</a>
            <a class="nav-link" href="{% url 'Story9:logout' %}"><img src="https://icon-library.com/images/logout-icon-png/logout-icon-png-3.jpg" style="width: 30px; height: 30px; vertical-align:bottom; margin-top: -14px;">Logout</a>
        {% else %}
            <a class="nav-link"><img src="https://peopleshub.org/wp-content/uploads/2018/04/person-icon-white.png" style="width: 30px; height: 30px; vertical-align:bottom; margin-top: -14px;">Hi, Guest</a>
            <a class="nav-link" href="{% url 'Story9:login' %}"><img src="https://icon-library.com/images/11a7acda9d.png" style="width: 30px; height: 30px; vertical-align:bottom; margin-top: -14px;">Login</a>
        {% endif %}
    </ul>
</div>

<div class="banner">
    <div class="bann">
        {% if user.is_authenticated %}
            <h1>Selamat Datang, {{ user.get_username }} !</h1>
        {% else %}
            <h1>Selamat Datang, Guest !</h1>
        {% endif %}
    </div>
</div>

{% endblock content %}

Story9/templates/login.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Log In</title>
{% endblock meta %}

{% block content %}
<div class="navigation">
    <ul class="nav justify-content-start">
    </ul>
</div>
<div class="signin">
    <form id="signin" method='POST'>
        <h2>Log In</h2><br>
        {% csrf_token %}
        {{form.as_p}}
        <br><br>
        {% for message in messages %}
            {% if message.tags == 'error' %}
                <div class="alert alert-danger" role="alert">{{ message }}</div>
                <br><br>
            {% endif %}
        {% endfor %}

        <input style="background-color: red; color: white; margin-left: 0px; padding: 8px 10px; font-size: 16px;" type = "submit" value = "Log in">
        <br><br>
        <p>Belum punya akun ? Sign up dulu di <a class="sinisignup" href = "{% url 'Story9:signup' %}">sini</a></p><br>
    </form>
</div>
{% endblock content %}

Story9/templates/signup.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Sign Up</title>
{% endblock meta %}

{% block content %}
<div class="navigation">
    <ul class="nav justify-content-start">
    </ul>
</div>
<div class="signup">
    <form id="signup" method='POST'>
        <h2>Sign Up</h2><br>
        {% csrf_token %}
        {% for field in form %}
            <p>
            {{ field.label_tag }}<br>
            <p class="inputan">{{ field }}</p>
            {% for error in field.errors %}
                <p style="color: red">{{ error }}</p>
            {% endfor %}
            </p>
        {% endfor %}
        <br>
        <input style="background-color: red; color: white; margin-left: 0px; padding: 8px 10px; font-size: 16px;" type="submit" value = "Sign up">
        <br><br>
        <p>Sudah punya akun? Langsung log in di <a class="sinilogin" href="{% url 'Story9:login' %}">sini</a></p>
    </form>
    
</div>
{% endblock content %}

main/templates/main/Story-1.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<style>
img {
    display: block;
    margin-left: auto;
    margin-right: auto;
}
</style>
{% endblock meta %}
{% block content %}
<a class="nav-link" href="{% url 'main:home' %}">Story 3</a>
<a class="nav-link" href="{% url 'main:matkuls' %}">Matkul</a>
<a class="nav-link" href="{% url 'main:hasil' %}">Hasil</a>
<a class="nav-link" href="{% url 'main:accordion' %}">Story 7</a>
<table style="width: 100%" border="1">
    <tr>
        <td>Nama</td>
        <td>Muhammad Ivan Radman</td>
        <img src="{% static 'KR36.jpg' %}" width="250" height="300"> 
    </tr>
    <tr>
        <td>NPM</td>
        <td>1906399114</td>
    </tr>
    <tr>
        <td>Angkatan</td>
        <td>2019</td>
    </tr>
    <tr>
        <td>Tempat Kuliah</td>
        <td>Fasilkom UI</td>
    </tr>
    <tr>
        <td>Hobi</td>
        <td>Games, Sejarah</td>
    </tr>
    <tr>
        <td>Deskripsi Tentang Saya</td>
        <td>Saya merupakan mahasiswa Fakultas Ilmu Komputer jurusan Sistem Informasi Universitas Indonesia. Saya lahir pada tanggal
            10 Desember 2000. Saya tinggal di wilayah Tangerang Selatan, Banten. Hobi saya adalah bermain games dan belajar sejarah. </td>
    </tr>
</table>
{% endblock content %}

main/templates/main/Story-3_page1.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
        <title>Home</title>
        <link href="Story-3.css" rel="stylesheet" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" 
        integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
{% endblock meta %}
{% block content %}     
    <nav class="nav">
        <a class="nav-link" href="{% url 'main:home' %}">Home</a>
        <a class="nav-link" href="{% url 'main:about' %}">About</a>
        <a class="nav-link" href="{% url 'main:riwayat_pendidikan' %}">Riwayat Pendidikan</a>
        <a class="nav-link" href="{% url 'main:story1' %}">Story 1</a>
        <a class="nav-link" href="{% url 'main:matkuls' %}">Matkul</a>
        <a class="nav-link" href="{% url 'main:hasil' %}">Hasil</a>
        <a class="nav-link" href="{% url 'main:accordion' %}">Story 7</a>
    </nav>

    <div class="photo">
        <img src="{% static 'KR36 (2).jpg' %}" width=500 height=500 alt="KR36">
    </div>

    <footer>
        <h4><img src="{% static 'logoInstagram.png' %}" alt="Instagram" width="50" height="50" style="vertical-align:middle"> @ivanismempire
            <img src="{% static 'logoLine.png' %}" alt="Line" width="50" height="50" style="vertical-align:middle"> @ivanism.empire</h4>
    </footer>
{% endblock content %}

main/templates/main/Story-3_page2.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
        <title>About</title>
        <link href="Story-3.css" rel="stylesheet" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" 
        integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
{% endblock meta %}
{% block content %}
    <nav class="nav">
        <a class="nav-link" href="{% url 'main:home' %}">Home</a>
        <a class="nav-link" href="{% url 'main:about' %}">About</a>
        <a class="nav-link" href="{% url 'main:riwayat_pendidikan' %}">Riwayat Pendidikan</a>
        <a class="nav-link" href="{% url 'main:story1' %}">Story 1</a>
        <a class="nav-link" href="{% url 'main:matkuls' %}">Matkul</a>
        <a class="nav-link" href="{% url 'main:hasil' %}">Hasil</a>
        <a class="nav-link" href="{% url 'main:accordion' %}">Story 7</a>
    </nav>

    <div class="photo">
        <img src="{% static 'KR36 (2).jpg' %}" width=400 height=400 alt="KR36">
    </div>

    <div class="bio">
        <h2>Deskripsi</h2><h3>"Saya merupakan mahasiswa Fakultas Ilmu Komputer jurusan Sistem Informasi angkatan 2019 Universitas Indonesia"</h3><br>
        <h3>Nama : Muhammad Ivan Radman</h3>
        <h3>NPM : 1906399114</h3>
        <h3>Angkatan : 2019</h3>
        <h3>Hobi : Belajar Sejarah, Main Game</h3>
    </div>

    <footer>
        <h4><img src="{% static 'logoInstagram.png' %}" alt="Instagram" width="50" height="50" style="vertical-align:middle"> @ivanismempire
            <img src="{% static 'logoLine.png' %}" alt="Line" width="50" height="50" style="vertical-align:middle"> @ivanism.empire</h4>
    </footer>
{% endblock content %}

main/templates/main/Story-3_page3.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
        <title>Riwayat Pendidikan</title>
        <link href="Story-3.css" rel="stylesheet" type="text/css">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" 
        integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <style>
            h3 {
                line-height: 1.5cm;
            }
        </style>
{% endblock meta %}
{% block content %}    
    <nav class="nav">
        <a class="nav-link" href="{% url 'main:home' %}">Home</a>
        <a class="nav-link" href="{% url 'main:about' %}">About</a>
        <a class="nav-link" href="{% url 'main:riwayat_pendidikan' %}">Riwayat Pendidikan</a>
        <a class="nav-link" href="{% url 'main:story1' %}">Story 1</a>
        <a class="nav-link" href="{% url 'main:matkuls' %}">Matkul</a>
        <a class="nav-link" href="{% url 'main:hasil' %}">Hasil</a>
        <a class="nav-link" href="{% url 'main:accordion' %}">Story 7</a>
    </nav>

    <div class="riwayat">
        <br><h3>Tempat Kuliah : </h3><h3>Fasilkom Universitas Indonesia</h3><br>
        <h3>Riwayat Pendidikan :<br>1. SD Islam Al Azhar 15<br>2. SMP Islam Al Azhar 3<br>3. SMA Islam Al Azhar 1</h3><br>
    </div>

    <footer>
        <h4><img src="{% static 'logoInstagram.png' %}" alt="Instagram" width="50" height="50" style="vertical-align:middle"> @ivanismempire
            <img src="{% static 'logoLine.png' %}" alt="Line" width="50" height="50" style="vertical-align:middle"> @ivanism.empire</h4>
    </footer>
{% endblock content %}

main/templates/main/accordion.html
{% load static %}

{% block meta %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

<style>
  .container {
  ;
  width: 500px;
  height: auto;
  margin: 0 auto;
}

.item {
  display: block;
  width: inherit;
 
  line-height: 40px;
  background: crimson;
  border: 1px solid #000;
  cursor: pointer;
  color: black;
}

.item-data {
  display: none; 
  width: inherit;
  height: auto;
  border: 1px solid #ccc;
}

.active {
  background: #eee;
  color: #000;
}
.item-data div{
  margin: 30px;
}

input{
  background: crimson;
}
</style>
{% endblock meta %}
{% block content %}

<h3 style="text-align:center;">Story 7</h3>

<div class='container'>
  <div class='item'>
    <div>
      Deskripsi
	    <input type="button"value="^" class="up-button"/>  
      <input type="button" value="v" class="down-button"/>
    </div>
  </div>
  <div class='item-data'>
    <div>Saya merupakan mahasiswa Fakultas Ilmu Komputer jurusan Sistem Informasi angkatan 2019 Universitas Indonesia</div>
  </div>

  <div class='item'>
    <div>
      Riwayat Pendidikan
	    <input type="button"value="^" class="up-button"/>  
      <input type="button" value="v" class="down-button"/>
    </div>
  </div>
  <div class='item-data'>
    <div>
      1. SD Islam Al Azhar 15 Pamulang (2007 - 2013)<br>
      2. SMP Islam Al Azhar 3 Bintaro (2013 - 2016)<br>
      3. SMA Islam Al Azhar 1 Kebayoran Baru (2016 - 2019)<br>
      4. Sistem Informasi Universitas Indonesia (2019 - )<br>
    </div>
  </div>

  <div class='item'>
    <div>
      Riwayat Organisasi / Kepanitiaan
	    <input type="button"value="^" class="up-button"/>  
      <input type="button" value="v" class="down-button"/>
    </div>
  </div>
  <div class='item-data'>
    <div>
      1. Al Azhar Seni Bela Diri (2013 - 2015)<br>
      2. Al Azhar Seni Bela Diri (2017 - 2018)<br>
      3. Kelompok Pengkajian Islam (2018 - 2019)<br>
      4. Sosmas Salam Universitas Indonesia (2020 - )<br>
    </div>
  </div>

  <div class='item'>
    <div>
      Kontak
	    <input type="button"value="^" class="up-button"/>  
      <input type="button" value="v" class="down-button"/>
    </div>
  </div>
  <div class='item-data'>
    <div>
      Instagram  : @ivanismempire<br>
      Line       : @ivanism.empire<br>
      Whatsapp   : +6287885163835<br>
    </div>
  </div>
</div>

<script>
  $(document).ready(function(e){
    $('.item').click(function (e){
      if($(this).next('.item-data').css('display') != 'block'){
        $('.active').slideUp('fast').removeClass('active');
        $(this).next('.item-data').addClass('active').slideDown('slow');
      
      } else {
        $('.active').slideUp('fast').removeClass('active');
      }
    });
  
    $('.up-button').click(function(){
      $(this).parents('.item').insertBefore($(this).parents('.item').prev());
    });

    $('.down-button').click(function(){
      $(this).parents('.item').insertAfter($(this).parents('.item').next());
    });
  });
</script>

{% endblock content %}

main/templates/main/ajax.html
{% load static %}

{% block meta %}
<title>Ajax</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
{% endblock meta %}

{% block content %}
<input id="keyword" placeholder="judul buku">

<table class="table" id="daftar_buku">
</table>

<script type="text/javascript">
    $("#keyword").keyup(function(){
        var inp = $("#keyword").val();
        $.ajax({
        
url: '/data/?q='+inp,
            success:function(data) {
                var array_items = data.items;
                $("#daftar_buku").empty();
                $("#daftar_buku").append("<thead class=\"thead-light\"><br><tr><br><th scope=\"col\">No</th><br><th scope=\"col\">Judul</th><br><th scope=\"col\">Gambar</th><br></thead>");
                for (i = 0; i<array_items.length; i++) {
                    var judul = array_items[i].volumeInfo.title;
                    var gambar = array_items[i].volumeInfo.imageLinks.smallThumbnail;
                    $("#daftar_buku").append("<tbody><br><tr><br><th scope=\"row\">"+(i+1)+"</th><br><td>"+judul+"</td><br><td><img src="+gambar+"></td><br></tr><br></tbody>");
                }
            }
        });
    });
</script>
{% endblock content %}

main/templates/main/hapus.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>hasil</title>
{% endblock meta %}

{% block content %}
<p>Apakah Anda yakin ingin menghapus? {{del}}</p>
<form action="{% url 'main:hapus' del.id %}" method="POST">
    {% csrf_token %}
    <a href="{% url 'main:hasil' %}">cancel</a>
    <input type="submit" value="hapus">
</form>
{% endblock content %}

main/templates/main/hasil.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>hasil</title>
{% endblock meta %}

{% block content %}
<form method="POST">
<table border="1">
    <tr>
        <th>nama</th>
        <th>dosen</th>
        <th>sks</th>
        <th>deskripsi</th>
        <th>tahun</th>
        <th>kelas</th>
        <th>hapus</th>
    </tr>

        {% for res in result %}
            <tr>
                <td>{{res.nama}}</td>
                <td>{{res.dosen}}</td>
                <td>{{res.sks}}</td>
                <td>{{res.deskripsi}}</td>
                <td>{{res.tahun}}</td>
                <td>{{res.kelas}}</td>
                <td><a type="button" href="{% url 'main:hapus' res.id %}">hapus</a></td>
            </tr>
        {% endfor %}
</table>
</form>
{% endblock content %}

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
  <h1>Hello, world!</h1>
  <p><img src="{% static 'img/django-logo-negative.svg' %}"></p>
{% endblock content %}

main/templates/main/matkul.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>matkul</title>
{% endblock meta %}

{% block content %}
<form method="POST">
<table>
    {% csrf_token %}
    {{form.as_table}}
</table>
    <input type="submit" value="tambah">
</form>
{% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
</body>
  {% block content %}
  {% endblock content %}
</html>

templates/daftarkegiatan.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Daftar Kegiatan</title>
<style>
    html{
        text-align: center;
        color: white;
        font-family: 'Rubik', sans-serif;
    }
    .lst{
        margin-left: 5vmax;
        margin-right: 5vmax;
        line-height: 2cm;
        background-color: crimson;
        color: black;
    }
    h2{
        font-size: 2vmax;
    }
    h3{
        line-height: 1cm;
    }
    .button{
        background-color: crimson;
        color: black;
        padding: 1vmax 1vmax;
        text-decoration: none;
        font-weight: bolder;
        margin: 1cm;
    }
    p{
        margin-top: 2cm;
        margin-bottom: 2cm;
    }
</style>

{% endblock meta %}

{% block content %}
    <div class="navigation">
        <ul class="nav justify-content-start">
            <h1>Daftar Kegiatan</h1>
        </ul>
    </div>
    <div class="container">
        <h2>Daftar Kegiatan:</h2>
        <form method="POST">
            {% for daftar in obj %}

                <div class="lst">
                    <h2>{{ daftar.activity }}</h2>
                    {% for i in daftar.peserta %}
                        <h3>{{ i.participant }}</h3>
                    {% endfor %}
                    <a href="{% url 'Story6:peserta' daftar.id %}" class="button">Tambah Peserta</a></td>
                </div>     
            {% endfor %}
            <br>   
            <p><a href="{% url 'Story6:isikegiatan' %}" class="button">Tambah Kegiatan</a></p>
        </form>
    </div>
    
{% endblock content %}

templates/isikegiatan.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Isi Kegiatan</title>
<style>
    body{
        padding-top: 50px;
        margin-left: 2cm;
        line-height: 1cm;
        color: white;
        font-family: 'Rubik', sans-serif;
    }
    h2{
        text-align: center;
    }
    .button{
        background-color: crimson;
        color: black;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 18px;
        padding: 8px 15px;
        border-style: none;
        font-family: 'Rubik', sans-serif;
    }
 
</style>
{% endblock meta %}

{% block content %}
    <div class="container">
        <h2>Silakan isi kegiatan di bawah ini !</h2>
            <form method="POST">
                <table>
                    {{ form.as_table }}
                    {% csrf_token %}
                </table><br>
                <input class="button" type="submit" value="Tambahkan">
            </form>
        
    </div>
{% endblock content %}